币币交易
币币订单记录查询接口
POST
/
platformapi
/
chainup
/
open
/
record
/
orderList
curl --request POST \
--url http://service.xxx.com/platformapi/chainup/open/record/orderList
{
"code": "0",
"msg": "xxx",
"data": {
"count": 1233,
"list": [
{
"volume": 1123,
"symbol": "consectetur veni",
"dealVolume": 123412,
"orderId": 123123,
"totalPrice": 0.201,
"price": 12341,
"ctime": "ctime",
"type": "limit",
"orderSide": "buy",
"dealMoney": 1,
"status": "0"
},
{
"volume": 1123,
"symbol": "consectetur veni",
"dealVolume": 123412,
"orderId": 123123,
"totalPrice": 0.201,
"price": 12341,
"ctime": "ctime",
"type": "limit",
"orderSide": "buy",
"dealMoney": 1,
"status": "0"
},
{
"volume": 1123,
"symbol": "consectetur veni",
"dealVolume": 123412,
"orderId": 123123,
"totalPrice": 0.201,
"price": 12341,
"ctime": "ctime",
"type": "limit",
"orderSide": "buy",
"dealMoney": 1,
"status": "0"
}
]
}
}
Query Parameters
appKey
string
required商家唯一appKey
Example: xxx_xxx
symbol
string
required币对
Example: btcusdt
uid
string
required用户id
Example: 23000
startDate
string
required开始时间,精确到秒 "yyyy-MM-dd HH:mm:ss".
Example: 2099-01-01 00:00:00
endDate
string
required结束时间,精确到秒 "yyyy-MM-dd HH:mm:ss".
Example: 2099-01-01 00:00:00
pageSize
string
每页数量(默认,20,最大1000,可以等于1000)
Example: 20
pageNumber
string
页数(默认1,第一页)
Example: 1
sort
string
1 代表逆序
Example: 1
sign
string
required签名
Example: 2ae04ed9165624419bad68e9e0f3f2sa9fbd2ae04ed916511624419bad68e9e20f3f29fbd
Response
200 - application/json
code
string
返回code
Example: 0
msg
string
成功或失败提示信息
Example: Success
data
object
curl --request POST \
--url http://service.xxx.com/platformapi/chainup/open/record/orderList
{
"code": "0",
"msg": "xxx",
"data": {
"count": 1233,
"list": [
{
"volume": 1123,
"symbol": "consectetur veni",
"dealVolume": 123412,
"orderId": 123123,
"totalPrice": 0.201,
"price": 12341,
"ctime": "ctime",
"type": "limit",
"orderSide": "buy",
"dealMoney": 1,
"status": "0"
},
{
"volume": 1123,
"symbol": "consectetur veni",
"dealVolume": 123412,
"orderId": 123123,
"totalPrice": 0.201,
"price": 12341,
"ctime": "ctime",
"type": "limit",
"orderSide": "buy",
"dealMoney": 1,
"status": "0"
},
{
"volume": 1123,
"symbol": "consectetur veni",
"dealVolume": 123412,
"orderId": 123123,
"totalPrice": 0.201,
"price": 12341,
"ctime": "ctime",
"type": "limit",
"orderSide": "buy",
"dealMoney": 1,
"status": "0"
}
]
}
}